Summary: A set of python3 modules and tools for HEP
Name: python3-forhep
Version: 3.8.12
Release: 12%{?dist}1b
License: PSF
Group: Development/Languages
BuildRequires: python3-pip >= 3.8.0
BuildRequires: python3 >= 3.8.0
Requires: python3 >= 3.8.0
#BuildArch: noarch
Vendor:       HEPonX
Distribution: HEPonX

%description
This package include python3 modules and tools for HEP, including
numpy scipy matplotlib ipython jupyter pandas sympy nose.

%prep
%setup -T -c python3-forhep

%build
%{_bindir}/pip3 install --root=`pwd` --prefix=/opt/osxws numpy scipy matplotlib ipython jupyter pandas sympy nose
(
 cd .%{_prefix}
 mv man/man1/* share/man/man1/ 
 rm -rf man
)

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -a opt $RPM_BUILD_ROOT

%clean
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, wheel)
%{_bindir}/*
%{_libdir}/python3.8/site-packages/*
%{_mandir}/man1/*


%changelog
* Thu Mar 10 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 3.8.12-12hepx1b
- 2nd release on MacOS 12 for Intel Macs

* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 3.8.12-12hepx1a
- 1st release on MacOS 12 for M1 Macs
